<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.3.0
Cambio: Se valida si ya esta como pagado el documento, si es asi, ya no deja cambiar el status, depende de la 
		configuracion del config.ini
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "../conexion/conectar.php";
require "../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

if(!$BLOQUEAR_STATUS_PAGADA=trim(getINI("BLOQUEAR_STATUS_PAGADA=","../config.ini"))){
	$BLOQUEAR_STATUS_PAGADA="NO";
}

$rfc=$_REQUEST['id'];
$tipodocto=$_REQUEST['id2'];
$serie=$_REQUEST['id3'];
$folio=$_REQUEST['id4'];
$uuid=$_REQUEST['id5'];

$completaQuery="";

if(trim($_REQUEST['id3']) != "")
	$completaQuery.=" and serie='$serie'";
if(trim($_REQUEST['id4']) != "")
	$completaQuery.=" and folio=$folio";
if(trim($_REQUEST['id5']) != "")
	$completaQuery.=" and uuid='$uuid'";

$result = mysqli_query($conexion->CONEXION,"select concepto_pago,status_pago,fecha_pago,referencia from recibedoce where rfcemisor='$rfc' and tipodocto='$tipodocto' $completaQuery limit 1");
if(mysqli_num_rows($result) > 0){
	$temp=mysqli_fetch_array($result,MYSQLI_ASSOC);
}else{
	echo "<br/><br/><font color='red' style='font-size: 14px'><strong>No se encontro el registro seleccionado, intente nuevamente.</strong></font>";
	exit;	
}

?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
	
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#result').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
		/*$j_3('#formProveedor').ajaxForm(function(data) {
						$j_3('#result').html(data);
						$j_3('#loading').hide();
		});*/
		
		$j_6('#form, #fat, #form_status').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
					$j_6('#result').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });
	
	$j_6('#fecha_pago').mask("9999-99-99",{placeholder:"_"});
		
});

function cambiaStatus_check(id){
	
	if(id.id=="check_revisado"){
		id.checked=true;
		document.getElementById('check_pagado').checked=false;
	}
	if(id.id=="check_pagado"){
		id.checked=true;
		document.getElementById('check_revisado').checked=false;
	}
	
	document.getElementById('status_pago').value=id.value;
}

$j_6(function() {
	$j_6( "#fecha_pago" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#fecha_pago" ).datepicker("option", "dateFormat", "yy-mm-dd");
	
	$j_6('#fecha_pago').val('<?=$temp['fecha_pago']?>');
});

</script>

<font color="gray" style="font-size: 14px"><strong>Indique el status de pago.</strong></font><br/><br/>
<form action="formularios/guardar/cambia_status_pago.php" name="form_status" id="form_status">
	
	<input type="hidden" name="rfcemisor" value="<?=$rfc?>" />
	<input type="hidden" name="tipodocto" value="<?=$tipodocto?>" />
	<input type="hidden" name="serie" value="<?=$serie?>" />
	<input type="hidden" name="folio" value="<?=$folio?>" />
	<input type="hidden" name="uuid" value="<?=$uuid?>" />
	<?if($temp['status_pago']!="P" || $_SESSION['esAdmin_p_prov_absa'] == "SI"){?>
	
		<?if($BLOQUEAR_STATUS_PAGADA=="SI"){?>
			<?if(trim($temp['status_pago'])=="P"){?>
				Ya pagado <img src="Imagenes/vobo.png" width="16" height="16"/>
				<input type="hidden" id="status_pago" name="status_pago" value="<?=$temp['status_pago']?>"/>
			<?}else{?>
				<input type="checkbox" value="R" onClick="cambiaStatus_check(this);" id="check_revisado" name="check_revisado" <?if($temp['status_pago']=="R"){?>checked="true"<?}?>/> Revisado y pendiente de pago <img src="Imagenes/pendiente_pago.png" width="16" height="16"/>&nbsp;&nbsp;
				<input type="checkbox" value="P" onClick="cambiaStatus_check(this);" id="check_pagado" id="check_pagado" <?if($temp['status_pago']=="P"){?>checked="true"<?}?>/> Ya pagado <img src="Imagenes/vobo.png" width="16" height="16"/>&nbsp;&nbsp;
				<input type="hidden" id="status_pago" name="status_pago" value="<?=$temp['status_pago']?>"/>
			<?}?>
		<?}else{?>
			<input type="checkbox" value="R" onClick="cambiaStatus_check(this);" id="check_revisado" name="check_revisado" <?if($temp['status_pago']=="R"){?>checked="true"<?}?>/> Revisado y pendiente de pago <img src="Imagenes/pendiente_pago.png" width="16" height="16"/>&nbsp;&nbsp;
			<input type="checkbox" value="P" onClick="cambiaStatus_check(this);" id="check_pagado" id="check_pagado" <?if($temp['status_pago']=="P"){?>checked="true"<?}?>/> Ya pagado <img src="Imagenes/vobo.png" width="16" height="16"/>&nbsp;&nbsp;
			<input type="hidden" id="status_pago" name="status_pago" value="<?=$temp['status_pago']?>"/>
		<?}?>
		
		<br/>
		<br/>
		
		Referencia: <input type="text" size="20" maxlength="20" name="referencia" id="referencia" value="<?=$temp['referencia']?>"/>
		<br/>
		<br/>
		Concepto: &nbsp;<input type="text" size="20" name="concepto_pago" id="concepto_pago" value="<?=$temp['concepto_pago']?>"/>
		<br/>
		<br/>
		Fecha de Pago: <input type="text" size="10" name="fecha_pago" id="fecha_pago" value="<?=$temp['fecha_pago']?>"/>
		<input type="submit" value="Guardar" />
	<?}else{?>
		Referencia: &nbsp;<input type="text" size="20" name="referencia" id="referencia" value="<?=$temp['referencia']?>" readOnly="true"/>
		<br/>
		<br/>
		Concepto: &nbsp;<input type="text" size="20" name="concepto_pago" id="concepto_pago" value="<?=$temp['concepto_pago']?>" readOnly="true"/>
		<br/>
		<br/>
		Fecha de Pago: &nbsp;<input type="text" size="10" name="fecha_pago_2" id="fecha_pago_2" value="<?=$temp['fecha_pago']?>" readOnly="true"/>&nbsp; <img src="Imagenes/vobo.png" width="24" height="24" />
		<input type="hidden" id="status_pago" name="status_pago" value="<?=$temp['status_pago']?>"/>
	<?}?>
	
	
	
	
</form>